Untitled Document

Welcome to Hypercosm Player

Welcome to the world of Hypercosm, a unique and powerful way of creating 3D content that is more captivating and functional than ever before. The Hypercosm system allows you to create and display 3D simulations that capture not just the 3D form of objects, but also their function and behavior as well. The Hypercosm Player allows you to view these simulations inside of a web page, inside of a PowerPoint document or just by themselves.

These capabilities let you create 3D content that is more than just a pretty picture. Hypercosm lets you put 3D to work!

Hypercosm Applets

The type of file that is displayed by the Hypercosm Player is known as a "Hypercosm applet". Hypercosm applets are more than just simple 3D model files because they capture behavior, user interaction, physics, and many other things that characterize a 3D object. Hypercosm applets contain complete 3D simulations. Hypercosm applets are a unique file format for 3D graphics because they allow:

  • Realistic 3D Graphics
    A 3d engine inside of the Hypercosm Player delivers realistic graphics with textures and lighting supported by the 3D capabilities of your video card.

  • Unlimited Simulation Capabilities
    Hypercosm applets are compiled from a complete, modern, object oriented scripting language called OMAR (Object-oriented modeling, animation, and rendering). This scripting language gives Hypercosm applets the ability to encode a wide range of behaviors including arbitrary logic and physical simulation.

  • Full Interactivity
    Hypercosm's programming language allows a full range of user interactions to be encoded into a Hypecosm applet. Unlike many other Web3D tools, the user interaction is determined by the content creator, not the developer of the software tool used to view the content.

  • Low file sizes
    Hypercosm's unique (and patented) approach to encoding object geometry and behavior results in very low file sizes that can be delivered over the web in a practical and effective manner.


Untitled Document

Standard User Interface

The Hypercosm Player is unlike many other 3D media players because the interface is part of the content rather than built-in to the player. This means that Hypercosm applets can each have their own custom user interfaces. Even though it's possible to create custom interfaces, most Hypercosm applets will tend to use a standard interface that is defined by the support files that are used when that applet is compiled. This section of the documentation describes that standard user interface.

User Interface Components

The standard user interface allows the user to navigate around the 3d scene, to set the number of mouse buttons to use, to collaborate with other users across the network, and to control the graphics settings which determine how the 3d scene is drawn. The standard user interface contains the following components:

  • Title
    The title is used to display the name or other descriptive phrase about the applet.
  • Subtitle
    The subtitle is used to display an additional optional descriptive phrase about the applet.

  • Mouse Controls
    The mouse controls are the main way that the user interacts with the applet. These controls are used to navigate around the three dimensional scene by clicking and dragging on the main display window of the applet. The mouse controls can alter the scene's rotation, the viewer's direction of view, and the location of the viewer in the scene.

  • Docking Bar
    The applet docking bar is displayed at the bottom of the running applet and is the place where the applet controls are kept. These controls allow the viewer to configure the mouse controls, to change the graphics display methods, and to collaborate with other users across the Internet.


Untitled Document

Standard Two Button Mouse Controls

The standard mouse controls are used mainly to navigate around a three-dimensional scene. These standard mouse controls assume that you are using a two button mouse. The standard mouse controls allow you to spin, pan, and zoom.

Spin

To make the scene rotate or spin, position your mouse pointer over the scene, click and hold the left mouse button, and drag the pointer horizontally or vertically in the direction you want the scene to spin. Note how the scene spins horizontally or vertically in the direction that you drag the pointer.

Pan

To change your direction of view, position your mouse pointer somewhere within the frame, click and hold the right mouse button and drag the pointer. You'll see your direction of view change to follow your mouse pointer.

Zoom

To zoom in or out of the scene, position your mouse pointer over a point in the scene that you want to move towards or away. Next, click and hold both mouse buttons while you drag the pointer towards you (downward) to bring the scene closer or away from you (upward) to push the scene away. Note that the zoom control actually moves your viewing position rather than just changing your field of view so you can use this zoom control to "zoom around" the scene. By combining the zoom control and the pan control, you can easily drag your viewpoint along an arbitrary path through the three dimensional scene.


Untitled Document

The Applet Docking Bar

The applet docking bar is displayed at the bottom of the running applet and is the place where the applet controls are kept. Below is a close-up view of the docking bar.

Standard Controls

Hypercosm applets using the standard docking bar may contain any of the icons shown above. Applets may be also be configured to omit or add any of these controls, but most standard applets will contain this full set of controls.

About

This icon can be clicked to cause the web browser to bring up the Hypercosm web page. The Hypercosm web page is a source of information about the various software tools that are available to create and display Hypercosm content and it also provides useful support and troubleshooting information.

Hide

This icon toggles the dock's auto-hiding feature. When enabled, auto-hiding will cause the dock to disappear when the user moves the cursor away from the dock. When the user moves the cursor back to the location of the dock, the dock will reappear once again. If the auto-hiding feature is not selected, then the dock will always be displayed.

Mouse

This icon can be clicked to display a set of controls for setting the number of mouse buttons to use. Normally, the controls are configured to use a 2 button mouse. If the user wants a one button interface, then this control allows the applet to be configured to use just a single mouse button.

Graphics

This icon can be clicked to bring up a set of controls for configuring the way the 3d graphics are drawn

Collaboration

This icon can be clicked to cause a group of collaboration controls to be displayed. The collaboration controls can be used to configure an applet to run in synchronization with another applet running on the network. The other user may be located across the hall or across the world. If an IP address for the other user is provided in the web page, then the applet will connect with that user. Otherwise, the applet will try to connect with another user on the same subnet. The collaboration controls allow the two users to switch off being the "leader" and the "follower". When the user is playing the "leader", then they control the view point for themselves and for the other user. When the user is playing the "follower", then they see scene from the point of view of the leader and have no control over the view point.

Help

This icon can be clicked to bring up information about how to use the Hypercosm applet and the various applet controls.